GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_SET-INSTANCE-TEMPLATE(1)

NAME

gcloud compute instance-groups managed set-instance-template - set instance template for managed instance group

SYNOPSIS

gcloud compute instance-groups managed set-instance-template NAME --template TEMPLATE [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed set-instance-template updates the instance template for an existing managed instance group. The new template won't apply to existing instances in the group unless they are recreated using the recreate-instances command. But the new template does apply to all new instances added to the managed instance group.

POSITIONAL ARGUMENTS
NAME
    Managed instance group name.

REQUIRED FLAGS
--template TEMPLATE
    Compute Engine instance template resource to be used.

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance group manager to set instance template. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.